id: org.kicad.KiCad.Nightly.ODBCDriver.sqliteodbc
branch: nightly
runtime: org.kicad.KiCad.Nightly
runtime-version: nightly
sdk: org.freedesktop.Sdk//24.08
build-extension: true
appstream-compose: false
build-options:
  prefix: /app/extensions/ODBCDriver/sqliteodbc
modules:
  - name: sqliteodbc
    cleanup:
      - '*.a'
      - '*.la'
    config-opts:
      - --with-odbc=/app
    post-install:
      # No idea why libdir is ignored, so clean up manually...
      - install -d ${FLATPAK_DEST}/lib
      - mv ${FLATPAK_DEST}/*.so ${FLATPAK_DEST}/lib/
      - install -d ${FLATPAK_DEST}/template
      - |
        cat << EOF > ${FLATPAK_DEST}/template/sqliteodbc.ini
        [SQLite3]
        Description=SQLite3 ODBC Driver
        Driver=/app/extensions/ODBCDriver/lib/libsqlite3odbc.so
        Setup=/app/extensions/ODBCDriver/lib/libsqlite3odbc.so
        Threading=2
        EOF
      - >
        install -Dm644 --target-directory=${FLATPAK_DEST}/share/metainfo \
          org.kicad.KiCad.Nightly.ODBCDriver.sqliteodbc.metainfo.xml
    sources:
      - type: archive
        strip-components: 2
        url: http://www.ch-werner.de/sqliteodbc/sqliteodbc-0.99991.tar.gz
        sha256: 4d94adb8d3cde1fa94a28aeb0dfcc7be73145bcdfcdf3d5e225434db31dc8a5c
        x-checker-data:
          type: html
          url: http://www.ch-werner.de/sqliteodbc/
          version-pattern: <A HREF="sqliteodbc-([\d\.]+)\.tar\.gz">current source
            code</A>
          url-template: http://www.ch-werner.de/sqliteodbc/sqliteodbc-$version.tar.gz
      - type: shell
        commands:
          - cp -p /usr/share/automake-*/config.{sub,guess} .
      - type: file
        path: org.kicad.KiCad.Nightly.ODBCDriver.sqliteodbc.metainfo.xml
